<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/note.php';

date_default_timezone_set('Asia/Rangoon'); 
session_start();

$database = new Database();
$db = $database->getConnection();
 
$note = new Note($db);
$data = json_decode(file_get_contents("php://input"));
	
$note->city = $data->city;
$note->date = $data->df;
$note->note = $data->note;
$note->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$note->entry_date_time = date("Y-m-d H:i:s");	


	if($note->create()){
		$arr = array(
			"message" => "created"
		);
	}else{
		$arr = array(
			"message" => "error"
		);
	}

echo json_encode($arr);
?>